Skip to main content
PATCH
/
v1
/
rates
/
{id}
Update a Rate
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/rates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "RatePerHour",
  "name": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_type": "customer",
  "primary": true,
  "fuel_surcharge_enabled": true,
  "project_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "service_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "equipment_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "add_on_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "service_class_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "equipment_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "time_rate": 1,
  "time_minimum_minutes": 1,
  "time_increment_minutes": 1
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "type": "RatePerHour",
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "primary": true,
    "fuel_surcharge_enabled": true,
    "projects": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "external_id": "<string>",
        "po_job_number": "<string>",
        "internal_notes": "<string>",
        "job_notes": "<string>",
        "notes": "<string>",
        "order_notes": "<string>"
      }
    ],
    "services": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    ],
    "equipment": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "owner_type": "driver",
    "add_ons": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": "<string>",
        "rate": "<string>",
        "percentage": "<string>",
        "add_on_rate_type": "RateForEach",
        "fuel_surcharge_schedule": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      }
    ],
    "time_rate": 1,
    "time_minimum_minutes": 1,
    "time_increment_minutes": 1,
    "account": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "discarded_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "account_types": [
        "customer"
      ],
      "external_id": "<string>",
      "accounting_id": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "schedule_on": true,
      "billing_address": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "thoroughfare": "<string>",
        "premise": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country": "US",
        "lat": "<string>",
        "lon": "<string>",
        "place_id": "<string>"
      },
      "connected_company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "billing_contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "phone": "+18885551234"
      }
    },
    "account_type": "customer",
    "driver": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "schedule_on": true,
      "phone": "<string>",
      "managed": true,
      "gps_status": {
        "status": "online",
        "last_ping_at": "2023-11-07T05:31:56Z"
      },
      "email": "<string>",
      "company_share": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "<string>",
        "ticket_match_id": "<string>",
        "sender_company": {
          "id": "<unknown>",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "dispatchable": true,
        "schedule_on": true,
        "rate_override": true,
        "expires_at": "2023-11-07T05:31:56Z",
        "default_equipment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "external_id": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "equipment_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "<unknown>",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      },
      "equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "<unknown>",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "default_equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "<unknown>",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "company_day_driver_stat": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "day": "2023-12-25",
        "jobs_count": 123
      },
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ]
    },
    "service_class": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "equipment_type": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "system": true,
      "external_id": "<string>",
      "accounting_id": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

Rate ID

Body

application/json
type
enum<string>
required
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

name
string
account_id
string<uuid> | null
account_type
enum<string>
Available options:
customer,
vendor
Example:

"customer"

primary
boolean
fuel_surcharge_enabled
boolean
project_ids
string<uuid>[]
service_ids
string<uuid>[]
equipment_ids
string<uuid>[]
add_on_ids
string<uuid>[]
service_class_id
string<uuid> | null
equipment_type_id
string<uuid> | null
time_rate
number
Required range: x >= 0
time_minimum_minutes
integer
Required range: x >= 0
time_increment_minutes
integer
Required range: x >= 0

Response

OK

data
RateTime-Read · object
required

Base model for Rates. Do not use this directly, instead use the submodels.